# Awesome adblock

A community maintained and organized list of resources to block, limit, evade and otherwise futz with ads, ad tech and web tracking.

Advertising on the web has grown to a point where it's pervasive, manipulative and outright pernicious. Let's contribute resources to make mitigating the presence of ads and all of their negative externalities easier.

## Browser-based blocking

### Safari    
- [1Blocker](https://1blocker.com)
- [Banish](https://apps.apple.com/us/app/banish-block-open-in-app/id1632848430): targeted specifically at blocking 'Open in App' prompts.
- [Stop the Madness](https://underpassapp.com/StopTheMadness/): mitigates a number of modern anti-patterns such as hyperlink auditing, clickjacking, tracking beacons, URL shorteners and so forth.
- [Hush](https://oblador.github.io/hush/)

### Firefox    
- [uBlock Origin](https://ublockorigin.com)
- [Privacy Badger](https://privacybadger.org)
- [Disable Page Visibility API](https://addons.mozilla.org/en-US/firefox/addon/disable-page-visibility/)
- [ClearURLs](https://addons.mozilla.org/en-US/firefox/addon/clearurls/)

### Chrome    
- [uBlock Origin](https://ublockorigin.com)
- [Privacy Badger](https://privacybadger.org)
- [Disable Page Visibility API](https://chrome.google.com/webstore/detail/disable-page-visibility-a/eecfoibnnhheckhfokpihgefmlnenofb)
- [ClearURLs](https://chrome.google.com/webstore/detail/clearurls/lckanjgmijmafbedllaakclkaicjfmnk)

## DNS filtering and firewalls    
- [1Blocker](https://1blocker.com): in addition to blocking ads, the app provides an on-device firewall to mitigate in-app tracking and logging.

## Userscripts    
- [Anti-adblock-killer](https://github.com/reek/anti-adblock-killer)

## Cookie consent    

### Safari    
- [Super Agent](https://www.super-agent.com)

### Firefox    
- [I still don't care about cookies](https://addons.mozilla.org/en-US/firefox/addon/istilldontcareaboutcookies/)
- [Consent-O-Matic](https://addons.mozilla.org/en-US/firefox/addon/consent-o-matic/)

### Chrome    
- [I still don't care about cookies](https://chrome.google.com/webstore/detail/i-still-dont-care-about-c/edibdbjcniadpccecjdfdjjppcpchdlm)
- [Consent-O-Matic](https://chrome.google.com/webstore/detail/consent-o-matic/mdjildafknihdffpkfmmpnpoiajfjnjd)

## YouTube / video

### Firefox    
- [SponsorBlock](https://addons.mozilla.org/en-US/firefox/addon/sponsorblock/)

### Chrome    
- [SponsorBlock](https://chrome.google.com/webstore/detail/sponsorblock-for-youtube/mnjggcdmjocbbbhaepdhchncahnbgone/)

## Network / DNS blocking    
- [NextDNS](https://nextdns.io)
- [Pi-hole](https://pi-hole.net)

## Masked email
- [Fastmail](https://fastmail.com): [see their support document.](https://www.fastmail.help/hc/en-us/articles/4406536368911-Masked-Email)
- [SimpleLogin](https://simplelogin.io)
